Explorer
Inspect observed contract build provenance
Path Parameters
contractId*string
Soroban contract C-address.
Match
^C[A-Z2-7]{55}$Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/v1/contracts/string/provenance"{ "contractId": "string", "networkPassphrase": "string", "observedLedger": 0, "instanceModifiedLedger": 0, "checkedAt": "2019-08-24T14:15:22Z", "executable": "wasm", "wasmSha256": "string", "metadata": { "sourceRepository": "string", "homeDomain": "string" }, "build": { "status": "verified", "record": { "repository": "string", "commit": "string", "sourceUrl": "http://example.com", "workflowUrl": "http://example.com", "runUrl": "http://example.com", "attestationUrl": "http://example.com" } }, "securityAudit": "not_assessed"}